Bug 15899 - Remove the use of recordpayment
Summary: Remove the use of recordpayment
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 15895 15900 15901 15902 15903
Blocks: 15894 18580 21915
  Show dependency treegraph
 
Reported: 2016-02-24 14:58 UTC by Kyle M Hall
Modified: 2019-01-10 15:52 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15899 - Fix up unit tests (4.27 KB, patch)
2016-02-24 15:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15899 - Remove C4::Accounts::recordpayment (1.69 KB, patch)
2016-02-24 15:43 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15899 - Remove C4::Accounts::recordpayment (1.84 KB, patch)
2016-02-24 15:47 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15899 - Fix up unit tests (4.28 KB, patch)
2016-06-07 15:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15899 - Fix up unit tests (4.28 KB, patch)
2016-06-07 15:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15899 - Remove C4::Accounts::recordpayment (1.85 KB, patch)
2016-06-07 15:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 15899 - Fix up unit tests (4.33 KB, patch)
2016-08-23 09:41 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 15899 - Remove C4::Accounts::recordpayment (1.90 KB, patch)
2016-08-23 09:41 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 15899 - Fix up unit tests (4.36 KB, patch)
2016-09-28 11:10 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 15899 - Remove C4::Accounts::recordpayment (1.97 KB, patch)
2016-09-28 11:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-02-24 14:58:43 UTC
With recordpayment now simply being a wrapper round Koha::Account::pay, we can remove the calls to recordpayment and replace them with direct calls to Koha::Account::pay.
Comment 1 Kyle M Hall 2016-02-24 15:43:11 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2016-02-24 15:43:19 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2016-02-24 15:47:35 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2016-06-07 15:05:59 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2016-06-07 15:11:57 UTC Comment hidden (obsolete)
Comment 6 Kyle M Hall 2016-06-07 15:12:06 UTC Comment hidden (obsolete)
Comment 7 Josef Moravec 2016-08-23 09:41:37 UTC
Created attachment 54749 [details] [review]
Bug 15899 - Fix up unit tests

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Josef Moravec 2016-08-23 09:41:47 UTC
Created attachment 54750 [details] [review]
Bug 15899 - Remove C4::Accounts::recordpayment

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) git grep recordpayment should show no calls to the recordpayment sub

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Jonathan Druart 2016-09-28 11:10:30 UTC
Created attachment 55878 [details] [review]
Bug 15899 - Fix up unit tests

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2016-09-28 11:10:33 UTC
Created attachment 55879 [details] [review]
Bug 15899 - Remove C4::Accounts::recordpayment

Test Plan:
1) Apply this patch
2) prove t/db_dependent/Accounts.t
3) git grep recordpayment should show no calls to the recordpayment sub

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Kyle M Hall 2016-09-29 11:19:03 UTC
Pushed to master for 16.11!